org.appng.xml.platform

## Enum MessageType

- java.lang.Object
- - java.lang.Enum<MessageType>
  - - org.appng.xml.platform.MessageType

- All Implemented Interfaces:
    Serializable, Comparable<MessageType>

      public enum MessageType
      extends Enum<MessageType>

  Java class for messageType.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="messageType">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="OK"/>
           <enumeration value="NOTICE"/>
           <enumeration value="INVALID"/>
           <enumeration value="ERROR"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` a serious error
    `INVALID` critical, but not an error
    `NOTICE` not critical, but noteworthy
    `OK` everything is fine

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MessageType` | `fromValue(String v)`
    `String` | `value()`
    `static MessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final MessageType OK

      everything is fine

    - #### NOTICE

          public static final MessageType NOTICE

      not critical, but noteworthy

    - #### INVALID

          public static final MessageType INVALID

      critical, but not an error

    - #### ERROR

          public static final MessageType ERROR

      a serious error

  - ### Method Detail

    - #### values

          public static MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MessageType c : MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MessageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static MessageType fromValue(String v)

Copyright © 2011–2023 aiticon GmbH. All rights reserved.